org.apache.lucene.search

## Class FieldCache.Shorts

- java.lang.Object
- - org.apache.lucene.search.FieldCache.Shorts

Enclosing interface:
  FieldCache

    public abstract static class FieldCache.Shorts
    extends Object

Field values as 16-bit signed shorts

### Field Summary

Fields
`static FieldCache.Shorts` `EMPTY` Zero value for every document

### Constructor Summary

Constructors
Constructor and Description
`FieldCache.Shorts()`

### Method Summary

Methods
`abstract short` `get(int docID)` Return a short representation of this field's value.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### EMPTY

    public static final FieldCache.Shorts EMPTY

Zero value for every document

### Constructor Detail

#### FieldCache.Shorts

    public FieldCache.Shorts()

### Method Detail

#### get

    public abstract short get(int docID)

Return a short representation of this field's value.